org.jfree.text

## Class TextBlockAnchor

- java.lang.Object
- - org.jfree.text.TextBlockAnchor

- All Implemented Interfaces:
    java.io.Serializable

      public final class TextBlockAnchor
      extends java.lang.Object
      implements java.io.Serializable

  Used to indicate the position of an anchor point for a text block.
  Author:
    David Gilbert
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TextBlockAnchor` | `BOTTOM_CENTER` Bottom/center.
    `static TextBlockAnchor` | `BOTTOM_LEFT` Bottom/left.
    `static TextBlockAnchor` | `BOTTOM_RIGHT` Bottom/right.
    `static TextBlockAnchor` | `CENTER` Middle/center.
    `static TextBlockAnchor` | `CENTER_LEFT` Middle/left.
    `static TextBlockAnchor` | `CENTER_RIGHT` Middle/right.
    `static TextBlockAnchor` | `TOP_CENTER` Top/center.
    `static TextBlockAnchor` | `TOP_LEFT` Top/left.
    `static TextBlockAnchor` | `TOP_RIGHT` Top/right.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
    `int` | `hashCode()` Returns a hash code value for the object.
    `java.lang.String` | `toString()` Returns a string representing the object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOP_LEFT

          public static final TextBlockAnchor TOP_LEFT

      Top/left.

    - #### TOP_CENTER

          public static final TextBlockAnchor TOP_CENTER

      Top/center.

    - #### TOP_RIGHT

          public static final TextBlockAnchor TOP_RIGHT

      Top/right.

    - #### CENTER_LEFT

          public static final TextBlockAnchor CENTER_LEFT

      Middle/left.

    - #### CENTER

          public static final TextBlockAnchor CENTER

      Middle/center.

    - #### CENTER_RIGHT

          public static final TextBlockAnchor CENTER_RIGHT

      Middle/right.

    - #### BOTTOM_LEFT

          public static final TextBlockAnchor BOTTOM_LEFT

      Bottom/left.

    - #### BOTTOM_CENTER

          public static final TextBlockAnchor BOTTOM_CENTER

      Bottom/center.

    - #### BOTTOM_RIGHT

          public static final TextBlockAnchor BOTTOM_RIGHT

      Bottom/right.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representing the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string.

    - #### equals

          public boolean equals(java.lang.Object o)

      Returns `true` if this object is equal to the specified object, and `false` otherwise.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the other object.
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the hashcode